CREATE TABLE irc_tn_ja_agent_actions (
    JA_ACTION_ID             NUMBER(18, 0),
    SUBSCRIBER_ID            NUMBER(18, 0)    NOT NULL,
    JOB_APP_ID               NUMBER(18, 0)    NOT NULL,
    AGENCY_ID                NUMBER(18, 0)    NOT NULL,
    AGENT_ID                 NUMBER(18, 0)    NOT NULL,
    ACTION_CODE              VARCHAR2(256)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    OBJECT_STATUS            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    JA_ACTION_ID             NUMBER(18, 0),
    SUBSCRIBER_ID            NUMBER(18, 0)    NOT NULL,
    JOB_APP_ID               NUMBER(18, 0)    NOT NULL,
    AGENCY_ID                NUMBER(18, 0)    NOT NULL,
    AGENT_ID                 NUMBER(18, 0)    NOT NULL,
    ACTION_CODE              VARCHAR2(256)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    OBJECT_STATUS            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_tn_ja_agent_actions PRIMARY KEY (JA_ACTION_ID, JA_ACTION_ID)
);
